<?php
/**
 * Theme functions related to structure.
 *
 * This file contains structural hook functions.
 *
 * @package clothing_brand_store
 */

if ( ! function_exists( 'clothing_brand_store_doctype' ) ) :
	/**
	 * Doctype Declaration.
	 *
	 * @since 1.0.0
	 */
	function clothing_brand_store_doctype() {
	?><!DOCTYPE html> <html <?php language_attributes(); ?>><?php
	}
endif;

add_action( 'clothing_brand_store_action_doctype', 'clothing_brand_store_doctype', 10 );


if ( ! function_exists( 'clothing_brand_store_head' ) ) :
	/**
	 * Header Codes.
	 *
	 * @since 1.0.0
	 */
	function clothing_brand_store_head() {
	?>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
    <?php
	}
endif;
add_action( 'clothing_brand_store_action_head', 'clothing_brand_store_head', 10 );

if ( ! function_exists( 'clothing_brand_store_page_start' ) ) :
	/**
	 * Page Start.
	 *
	 * @since 1.0.0
	 */
	function clothing_brand_store_page_start() {
	?>
    <div id="page" class="hfeed site">
    <?php
	}
endif;
add_action( 'clothing_brand_store_action_before', 'clothing_brand_store_page_start' );

if ( ! function_exists( 'clothing_brand_store_page_end' ) ) :
	/**
	 * Page End.
	 *
	 * @since 1.0.0
	 */
	function clothing_brand_store_page_end() {
	?></div><!-- #page --><?php
	}
endif;

add_action( 'clothing_brand_store_action_after', 'clothing_brand_store_page_end' );

if ( ! function_exists( 'clothing_brand_store_content_start' ) ) :
	/**
	 * Content Start.
	 *
	 * @since 1.0.0
	 */
	function clothing_brand_store_content_start() {
	?><?php if(!is_page_template( 'home-page-template.php' )) { echo '<div id="content" class="site-content">'; } ?><?php if(!is_page_template( 'home-page-template.php' )) { echo '<div class="container">'; } ?><div class="inner-wrapper"><?php
	}
endif;
add_action( 'clothing_brand_store_action_before_content', 'clothing_brand_store_content_start' );


if ( ! function_exists( 'clothing_brand_store_content_end' ) ) :
	/**
	 * Content End.
	 *
	 * @since 1.0.0
	 */
	function clothing_brand_store_content_end() {
	?></div><!-- .inner-wrapper --></div><!-- .container --><?php if(!is_page_template( 'home-page-template.php' )) { echo '</div>'; } ?><!-- #content --><?php
	}
endif;
add_action( 'clothing_brand_store_action_after_content', 'clothing_brand_store_content_end' );


if ( ! function_exists( 'clothing_brand_store_header_start' ) ) :
	/**
	 * Header Start.
	 *
	 * @since 1.0.0
	 */
	function clothing_brand_store_header_start() {
		?><header id="masthead" class="site-header" role="banner"><?php
	}
endif;
add_action( 'clothing_brand_store_action_before_header', 'clothing_brand_store_header_start' );

if ( ! function_exists( 'clothing_brand_store_header_end' ) ) :
	/**
	 * Header End.
	 *
	 * @since 1.0.0
	 */
	function clothing_brand_store_header_end() {
	?></div><!-- .container --></header><!-- #masthead --><?php
	}
endif;
add_action( 'clothing_brand_store_action_after_header', 'clothing_brand_store_header_end' );



if ( ! function_exists( 'clothing_brand_store_footer_start' ) ) :
	/**
	 * Footer Start.
	 *
	 * @since 1.0.0
	 */
	function clothing_brand_store_footer_start() {
		$clothing_brand_store_footer_status = apply_filters( 'clothing_brand_store_filter_footer_status', true );
		if ( true !== $clothing_brand_store_footer_status ) {
			return;
		}
	?><footer id="colophon" class="site-footer" role="contentinfo"><div class="container"><?php
	}
endif;
add_action( 'clothing_brand_store_action_before_footer', 'clothing_brand_store_footer_start' );


if ( ! function_exists( 'clothing_brand_store_footer_end' ) ) :
	/**
	 * Footer End.
	 *
	 * @since 1.0.0
	 */
	function clothing_brand_store_footer_end() {
		$clothing_brand_store_footer_status = apply_filters( 'clothing_brand_store_filter_footer_status', true );
		if ( true !== $clothing_brand_store_footer_status ) {
			return;
		}
		$clothing_brand_store_enable_cursor_dot_outline = clothing_brand_store_get_option('clothing_brand_store_enable_cursor_dot_outline');
		if ($clothing_brand_store_enable_cursor_dot_outline) { ?>
			<!-- Custom cursor -->
			<div class="cursor-point-outline"></div>
			<div class="cursor-point"></div>
			<!-- .Custom cursor -->
		<?php } ?>
		</div><!-- .container --></footer><!-- #colophon --><?php
	}
endif;
add_action( 'clothing_brand_store_action_after_footer', 'clothing_brand_store_footer_end' );
